Skip to content
API Reference
Sharing

Events sharing

Events sharing in Prism / Objects / Events — Micro Python reference.

Reference for Python SDK 0.8.0.

Release source · Setup and client configuration

update

PUT /v2/prism/{teamId}/event/{eventId}/grant

client.prism.objects.events.grant.update(event_id, *, path_team_id, **params) -> GrantUpdateResponse

Update grant

get

GET /v2/prism/{teamId}/event/{eventId}/grant

client.prism.objects.events.grant.get(event_id, *, team_id) -> GrantGetResponse

Get grant

Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

GrantUpdateParams

Source

FieldTypeRequiredDescription
path_team_idstrNoAPI name: teamId.
team_group_idIterable[Dict[str, Literal["a", "r", "w"]]]No
body_team_idAnnotated[Dict[str, Literal["a", "r", "w"]], PropertyInfo(alias="team_id")]NoAPI name: team_id.
user_idIterable[Dict[str, Literal["a", "r", "w"]]]No
idempotency_keystrNoAPI name: Idempotency-Key.

GrantUpdateResponse

Source

FieldTypeRequiredDescription
team_group_idOptional[List[Dict[str, Literal["a", "r", "w"]]]]No
team_idOptional[Dict[str, Literal["a", "r", "w"]]]No
user_idOptional[List[Dict[str, Literal["a", "r", "w"]]]]No

GrantGetResponse

Source

FieldTypeRequiredDescription
team_group_idOptional[List[Dict[str, Literal["a", "r", "w"]]]]No
team_idOptional[Dict[str, Literal["a", "r", "w"]]]No
user_idOptional[List[Dict[str, Literal["a", "r", "w"]]]]No
micro.so